# on Received Message

Run part of a program when the @boardname@ receives a
message over ``radio``.

```sig
radio.onReceivedMessage(0, function() {})
```

## Parameters

* **msg**: The message to listen for. See [send message](/reference/radio/send-message)

## #example

## See also

[Bit Radio](/reference/radio)
[send message](/reference/radio/send-message),

```package
radio-broadcast
```
